OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.DrawBuffers2

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTDrawBuffers2 :: MonadIO m => m Bool
- gl_EXT_draw_buffers2 :: Bool
- glColorMaskIndexedEXT :: MonadIO m => GLuint -> GLboolean -> GLboolean -> GLboolean -> GLboolean -> m ()
- glDisableIndexedEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glEnableIndexedEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glGetBooleanIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLboolean -> m ()
- glGetIntegerIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glIsEnabledIndexedEXT :: MonadIO m => GLenum -> GLuint -> m GLboolean

# Extension Support

glGetEXTDrawBuffers2 :: MonadIO m => m Bool Source #

Is the EXT_draw_buffers2 extension supported?

gl_EXT_draw_buffers2 :: Bool Source #

Is the EXT_draw_buffers2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDrawBuffers2` in those cases instead.

# Functions

glColorMaskIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLboolean | `r` of type Boolean.
-> GLboolean | `g` of type Boolean.
-> GLboolean | `b` of type Boolean.
-> GLboolean | `a` of type Boolean.
-> m () |

This command is an alias for `glColorMaski`.

glDisableIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m () |

This command is an alias for `glDisablei`.

glEnableIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m () |

This command is an alias for `glEnablei`.

glGetBooleanIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(target)` elements of type Boolean.
-> m () |

This command is an alias for `glGetBooleani_v`.

glGetIntegerIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLint | `data` pointing to `COMPSIZE(target)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetIntegeri_v`.

glIsEnabledIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsEnabledi`.